Package com.sun.jna.platform.win32

# Class WinReg.HKEY

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinNT.HANDLE
com.sun.jna.platform.win32.WinReg.HKEY

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinReg

public static class WinReg.HKEY extends WinNT.HANDLE

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HKEY()`
  `HKEY(int value)`
  `HKEY(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

  `fromNative, setPointer, toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, getPointer, hashCode, nativeType, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HKEY

    public HKEY()

  - ### HKEY

    public HKEY(Pointer p)

  - ### HKEY

    public HKEY(int value)